# This file was created automatically by SWIG 1.3.29.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _py_dag_cat_api
import new
new_instancemethod = new.instancemethod
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'PySwigObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


BANK_SIZE = _py_dag_cat_api.BANK_SIZE
ETH_HDLC_POS = _py_dag_cat_api.ETH_HDLC_POS
COLOR_HDLC_POS_COLOR_ETH = _py_dag_cat_api.COLOR_HDLC_POS_COLOR_ETH
COLOR_HASH_POS_COLOR_HASH_ETH = _py_dag_cat_api.COLOR_HASH_POS_COLOR_HASH_ETH
COLOR_HASH_POS_COLOR_HASH_ETH_SHIFTED = _py_dag_cat_api.COLOR_HASH_POS_COLOR_HASH_ETH_SHIFTED
kErrorNone = _py_dag_cat_api.kErrorNone
kInvalidComponent = _py_dag_cat_api.kInvalidComponent
kInvalidDestination = _py_dag_cat_api.kInvalidDestination
kInvalidAddress = _py_dag_cat_api.kInvalidAddress
cat_set_entry = _py_dag_cat_api.cat_set_entry
cat_set_entry_verify = _py_dag_cat_api.cat_set_entry_verify
cat_get_entry = _py_dag_cat_api.cat_get_entry
cat_set_raw_entry = _py_dag_cat_api.cat_set_raw_entry
cat_set_raw_entry_verify = _py_dag_cat_api.cat_set_raw_entry_verify
cat_get_raw_entry = _py_dag_cat_api.cat_get_raw_entry
cat_get_hash_mask = _py_dag_cat_api.cat_get_hash_mask
cat_new_set_entry_verify = _py_dag_cat_api.cat_new_set_entry_verify
cat_new_set_raw_entry_verify = _py_dag_cat_api.cat_new_set_raw_entry_verify
cat_get_current_bank = _py_dag_cat_api.cat_get_current_bank
cat_swap_banks = _py_dag_cat_api.cat_swap_banks
cat_get_no_of_output_bits = _py_dag_cat_api.cat_get_no_of_output_bits
cat_get_no_of_input_bits = _py_dag_cat_api.cat_get_no_of_input_bits
cat_get_max_hlb_or_hash = _py_dag_cat_api.cat_get_max_hlb_or_hash
cat_get_max_interface = _py_dag_cat_api.cat_get_max_interface
cat_get_max_color = _py_dag_cat_api.cat_get_max_color
get_configured_hash_width = _py_dag_cat_api.get_configured_hash_width
cat_get_entry_mode = _py_dag_cat_api.cat_get_entry_mode
cat_set_entry_mode = _py_dag_cat_api.cat_set_entry_mode
cat_bypass = _py_dag_cat_api.cat_bypass


